com.impinj.stp

## Interface StpApi.DeviceEventConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.DeviceEventConfig, StpApi.DeviceEventConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.DeviceEventConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getEnableGPIEvents()` optional bool enable_serialization_job_events = 2 [default = true];
    `boolean` | `getEnableOperationEvents()`
    `StpApi.LowEncodeVolumeEventConfig` | `getLowEncodeVolumeEventConfig()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `StpApi.LowEncodeVolumeEventConfigOrBuilder` | `getLowEncodeVolumeEventConfigOrBuilder()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];
    `boolean` | `hasEnableGPIEvents()` optional bool enable_serialization_job_events = 2 [default = true];
    `boolean` | `hasEnableOperationEvents()`
    `boolean` | `hasLowEncodeVolumeEventConfig()` optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasEnableOperationEvents

          boolean hasEnableOperationEvents()

    - #### getEnableOperationEvents

          boolean getEnableOperationEvents()

    - #### hasEnableGPIEvents

          boolean hasEnableGPIEvents()

      optional bool enable_serialization_job_events = 2 [default = true];

    - #### getEnableGPIEvents

          boolean getEnableGPIEvents()

      optional bool enable_serialization_job_events = 2 [default = true];

    - #### hasLowEncodeVolumeEventConfig

          boolean hasLowEncodeVolumeEventConfig()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - #### getLowEncodeVolumeEventConfig

          StpApi.LowEncodeVolumeEventConfig getLowEncodeVolumeEventConfig()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];

    - #### getLowEncodeVolumeEventConfigOrBuilder

          StpApi.LowEncodeVolumeEventConfigOrBuilder getLowEncodeVolumeEventConfigOrBuilder()

      optional bool enable_antenna_events = 4 [default = true]; optional bool enable_device_exception_events = 5 [default = true];